#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
#define all(x) x.begin(), x.end()
#define pf push_front
#define pb push_back
#define mp make_pair
#define mt make_tuple
#define sz(x) (int)x.size()
#define f first
#define s second
#define mod 1000000007
#define inf 1e9
#define linf 1e18
// const int mod = 998244353;
// OVERFLOW!!!!!!!!!!!!!!!!!!
int main()
{
   ios_base::sync_with_stdio(false);
   cout.tie(nullptr);
   cin.tie(nullptr);
   ll n, m;
   cin >> n >> m;
   ll ans = n * m - ((((n - 1) / 2) * ((m - 1) / 2)) + (((n - 2) / 2) * ((m - 2) / 2)));
   cout << ans << "\n";
   return 0;
}